vtkGDCMPolyDataReader Class Reference

`#include <vtkGDCMPolyDataReader.h>`

Inheritance diagram for vtkGDCMPolyDataReader:
[legend]
Collaboration diagram for vtkGDCMPolyDataReader:
[legend]

## Public Member Functions

virtual void | PrintSelf (ostream &os, vtkIndent indent)
| vtkGetObjectMacro (MedicalImageProperties, vtkMedicalImageProperties)
| vtkGetObjectMacro (RTStructSetProperties, vtkRTStructSetProperties)
| vtkGetStringMacro (FileName)
| vtkSetStringMacro (FileName)
| vtkTypeMacro (vtkGDCMPolyDataReader, vtkPolyDataAlgorithm)

## Static Public Member Functions

static vtkGDCMPolyDataReader * | New ()

## Protected Member Functions

| vtkGDCMPolyDataReader ()
| ~vtkGDCMPolyDataReader ()
void | FillMedicalImageInformation (const gdcm::Reader &reader)
int | RequestData (vtkInformation *, vtkInformationVector **, vtkInformationVector *)
int | RequestData_HemodynamicWaveformStorage (gdcm::Reader const &reader, vtkInformationVector *outputVector)
int | RequestData_RTStructureSetStorage (gdcm::Reader const &reader, vtkInformationVector *outputVector)
int | RequestInformation (vtkInformation *vtkNotUsed(request), vtkInformationVector **vtkNotUsed(inputVector), vtkInformationVector *outputVector)
int | RequestInformation_HemodynamicWaveformStorage (gdcm::Reader const &reader)
int | RequestInformation_RTStructureSetStorage (gdcm::Reader const &reader)

## Protected Attributes

char * | FileName
vtkMedicalImageProperties * | MedicalImageProperties
vtkRTStructSetProperties * | RTStructSetProperties

## Detailed Description

Examples
  GenerateRTSTRUCT.cxx, gdcmscene.cxx, and rtstructapp.cxx.

## Constructor & Destructor Documentation

## vtkGDCMPolyDataReader()

vtkGDCMPolyDataReader::vtkGDCMPolyDataReader | ( |  | ) |

protected

Referenced by New(), RequestData_HemodynamicWaveformStorage(), and vtkTypeMacro().

## ~vtkGDCMPolyDataReader()

vtkGDCMPolyDataReader::~vtkGDCMPolyDataReader | ( |  | ) |

protected

## Member Function Documentation

## FillMedicalImageInformation()

void vtkGDCMPolyDataReader::FillMedicalImageInformation | ( | const gdcm::Reader & | reader | ) |

protected

## New()

vtkGDCMPolyDataReader * vtkGDCMPolyDataReader::New | ( |  | ) |

static

Examples
  GenerateRTSTRUCT.cxx, gdcmscene.cxx, and rtstructapp.cxx.

References vtkGDCMPolyDataReader().

## PrintSelf()

virtual void vtkGDCMPolyDataReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent )

virtual

## RequestData()

int vtkGDCMPolyDataReader::RequestData | ( | vtkInformation * | ,
|  | vtkInformationVector ** | ,
|  | vtkInformationVector * | )

protected

## RequestData_HemodynamicWaveformStorage()

int vtkGDCMPolyDataReader::RequestData_HemodynamicWaveformStorage | ( | gdcm::Reader const & | reader,
|  | vtkInformationVector * | outputVector )

protected

References vtkGDCMPolyDataReader().

## RequestData_RTStructureSetStorage()

int vtkGDCMPolyDataReader::RequestData_RTStructureSetStorage | ( | gdcm::Reader const & | reader,
|  | vtkInformationVector * | outputVector )

protected

## RequestInformation()

int vtkGDCMPolyDataReader::RequestInformation | ( | vtkInformation * | vtkNotUsedrequest,
|  | vtkInformationVector ** | vtkNotUsedinputVector,
|  | vtkInformationVector * | outputVector )

protected

## RequestInformation_HemodynamicWaveformStorage()

int vtkGDCMPolyDataReader::RequestInformation_HemodynamicWaveformStorage | ( | gdcm::Reader const & | reader | ) |

protected

## RequestInformation_RTStructureSetStorage()

int vtkGDCMPolyDataReader::RequestInformation_RTStructureSetStorage | ( | gdcm::Reader const & | reader | ) |

protected

## vtkGetObjectMacro() [1/2]

vtkGDCMPolyDataReader::vtkGetObjectMacro | ( | MedicalImageProperties | ,
|  | vtkMedicalImageProperties | )

References MedicalImageProperties.

## vtkGetObjectMacro() [2/2]

vtkGDCMPolyDataReader::vtkGetObjectMacro | ( | RTStructSetProperties | ,
|  | vtkRTStructSetProperties | )

References RTStructSetProperties.

## vtkGetStringMacro()

vtkGDCMPolyDataReader::vtkGetStringMacro | ( | FileName |  | ) |

References FileName.

## vtkSetStringMacro()

vtkGDCMPolyDataReader::vtkSetStringMacro | ( | FileName |  | ) |

References FileName.

## vtkTypeMacro()

vtkGDCMPolyDataReader::vtkTypeMacro | ( | vtkGDCMPolyDataReader | ,
|  | vtkPolyDataAlgorithm | )

References vtkGDCMPolyDataReader().

## Member Data Documentation

## FileName

char* vtkGDCMPolyDataReader::FileName

protected

Referenced by vtkGetStringMacro(), and vtkSetStringMacro().

## MedicalImageProperties

vtkMedicalImageProperties* vtkGDCMPolyDataReader::MedicalImageProperties

protected

Referenced by vtkGetObjectMacro().

## RTStructSetProperties

vtkRTStructSetProperties* vtkGDCMPolyDataReader::RTStructSetProperties

protected

Referenced by vtkGetObjectMacro().

The documentation for this class was generated from the following file:

- vtkGDCMPolyDataReader.h